<!--
  @description: 项目管理-监标人设置-未设置标段组件
  @Modifier: 张慢慢
  @routerPath:
  @date: 2021/8/9
-->
<template>
  <div>
    <el-table
      ref="unTenderProcfilePackComp"
      :data="is_show?tableData:tableData[0]?[tableData[0]]:[]"
      @selection-change="selectionChange"
    >
      <el-table-column
        align="center"
        type="selection"
        width="55"
        :selectable="isDisabled"
        disabled="true"
      />
      <el-table-column
        type="index"
        label="序号"
        width="60"
        align="center"
      />
      <el-table-column

        align="center"
        label="标段（包）编号"
        min-width="200px"
        prop="packNo"
      />
      <el-table-column

        header-align="center"
        prop="packName"
        label="标段（包）名称"
      />
    </el-table>
    <div class="more">
      <span v-if="is_show" class="pointer" @click="is_show=false">
        收起更多（0）
        <i class="el-icon-arrow-up" />
      </span>
      <span v-else class="pointer" @click="is_show=true">
        展开更多（{{ tableData.length>0?tableData.length -1:0 }}）
        <i class="el-icon-arrow-down" />
      </span>
    </div>
  </div>
</template>

<script>
/* api*/
import { listNotSetBidSupervisorPages } from '@api/bidding/biddingProject'
/* 混合开发*/
// import { tenderDoc } from './../mixins/tenderDoc'// 招标文件/资审文件
/* 公用方法*/
import { cloneObject } from '@assets/js/utils'// 常用方法
export default {
  name: 'NotSetPackComp',
  // mixins: [tenderDoc],
  data() {
    return {
      tenderBase: this.$store.getters.tenderBase, // 项目信息
      is_show: true, // // 标段展示状态
      searchData: {
        tenderId: this.$route.query.id // 项目Id
      },
      // 标段包列表
      tableData: []
    }
  },
  created() {
    this.initData()// 初始化数据
  },
  methods: {
    // 初始化数据
    initData() {
      const data = {
        ...this.searchData,
        stageType: this.tenderBase.stageType
      }
      listNotSetBidSupervisorPages(data).then(res => {
        this.tableData = res.data.records
      })
    },
    // 复选框部分禁用
    isDisabled(row, index) {
      if (row.isCanOperate === '01') { // 01 可以设置
        return true
      } else {
        return false
      }
    },
    // 选择标段（包）
    selectionChange(val) {
      this.$emit('unPackChange', cloneObject(val))
    }
  }
}
</script>

<style lang="less" scoped>

</style>
